## golang-github-go-ap-activitypub 0.0~git20250501.71edba4

=== Makefile ===
SHELL := bash
.ONESHELL:
.SHELLFLAGS := -eu -o pipefail -c
.DELETE_ON_ERROR:
MAKEFLAGS += --warn-undefined-variables
MAKEFLAGS += --no-builtin-rules

GO ?= go
TEST := $(GO) test
TEST_FLAGS ?= -v
TEST_TARGET ?= .
GO111MODULE = on
PROJECT_NAME := $(shell basename $(PWD))

.PHONY: test coverage clean download

download:
	$(GO) mod download all
	$(GO) mod tidy

test: download
	$(TEST) $(TEST_FLAGS) $(TEST_TARGET)

coverage: TEST_TARGET := .
coverage: TEST_FLAGS += -covermode=count -coverprofile $(PROJECT_NAME).coverprofile
coverage: test

clean:
	$(RM) -v *.coverprofile

=== debian/changelog ===
golang-github-go-ap-activitypub (0.0~git20250501.71edba4-1) unstable; urgency=low

  * Initial upload to sid, required for forgejo.

 -- Daniel Baumann <daniel@debian.org>  Sun, 18 May 2025 22:07:40 +0200

=== debian/control ===
Source: golang-github-go-ap-activitypub
Section: golang
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-go-ap-errors-dev,
 golang-github-go-ap-jsonld-dev,
 golang-github-valyala-fastjson-dev,
 golang-sourcehut-mariusor-go-xsd-duration-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/go-ap/activitypub
Vcs-Browser: https://forgejo.debian.net/forgejo/golang-github-go-ap-activitypub
Vcs-Git: https://forgejo.debian.net/forgejo/golang-github-go-ap-activitypub
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/go-ap/activitypub

Package: golang-github-go-ap-activitypub-dev
Section: golang
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-valyala-fastjson-dev,
 ${misc:Depends},
Description: ActivityPub vocabulary (Go library)
 activitypub is a Go library to create ActivityPub applications.
 .
 It supports data types for most of the Activity Vocabulary
 (https://www.w3.org/TR/activitystreams-vocabulary/) and the ActivityPub
 (https://www.w3.org/TR/activitypub/) extension.

=== debian/watch ===
version=4
https://github.com/go-ap/activitypub/tags .*/v?(\d.*)@ARCHIVE_EXT@

## golang-github-go-ap-activitypub 0.0~git20251124.be8249f

=== debian/changelog ===
golang-github-go-ap-activitypub (0.0~git20251124.be8249f-1) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.
  * Merging upstream version 0.0~git20251124.be8249f.
  * Adding newly required golang-golang-x-text-dev to build-depends.

 -- Daniel Baumann <daniel@debian.org>  Fri, 28 Nov 2025 13:14:57 +0100

golang-github-go-ap-activitypub (0.0~git20250501.71edba4-3) sid; urgency=medium

  * Removing watch file as upstream has no tags.

 -- Daniel Baumann <daniel@debian.org>  Wed, 28 May 2025 12:03:39 +0200

golang-github-go-ap-activitypub (0.0~git20250501.71edba4-2) sid; urgency=medium

  * Using codenames instead of suitenames in changelog.
  * Harmonizing upload need in initial changelog entry.
  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Tue, 27 May 2025 08:19:44 +0200

golang-github-go-ap-activitypub (0.0~git20250501.71edba4-1) sid; urgency=low

  * Initial upload to sid, needed for forgejo.

 -- Daniel Baumann <daniel@debian.org>  Sun, 18 May 2025 22:07:40 +0200

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
  golang-github-go-ap-errors-dev,
  golang-github-go-ap-jsonld-dev,
  golang-github-valyala-fastjson-dev,
+ golang-golang-x-text-dev,
  golang-sourcehut-mariusor-go-xsd-duration-dev,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/go-ap/activitypub
-Vcs-Browser: https://forgejo.debian.net/forgejo/golang-github-go-ap-activitypub
-Vcs-Git: https://forgejo.debian.net/forgejo/golang-github-go-ap-activitypub
+Vcs-Browser: https://forgejo.debian.net/golang/golang-github-go-ap-activitypub
+Vcs-Git: https://forgejo.debian.net/golang/golang-github-go-ap-activitypub
 Testsuite: autopkgtest-pkg-go
 XS-Go-Import-Path: github.com/go-ap/activitypub

## golang-github-go-ap-activitypub 0.0~git20260207.fc67d2c

=== Makefile ===
--- 
+++ 
@@ -14,16 +14,21 @@
 
 .PHONY: test coverage clean download
 
-download:
-	$(GO) mod download all
+download: go.sum
+
+go.sum:
 	$(GO) mod tidy
 
-test: download
+test: go.sum
+	$(TEST) $(TEST_FLAGS) ./tests
 	$(TEST) $(TEST_FLAGS) $(TEST_TARGET)
 
-coverage: TEST_TARGET := .
-coverage: TEST_FLAGS += -covermode=count -coverprofile $(PROJECT_NAME).coverprofile
-coverage: test
+coverage: go.sum clean
+	@mkdir ./_coverage
+	$(TEST) $(TEST_FLAGS) -covermode=count -args -test.gocoverdir="$(PWD)/_coverage" ./tests > /dev/null
+	$(TEST) $(TEST_FLAGS) -covermode=count -args -test.gocoverdir="$(PWD)/_coverage" $(TEST_TARGET) > /dev/null
+	$(GO) tool covdata percent -i=./_coverage/ -o $(PROJECT_NAME).coverprofile
 
 clean:
-	$(RM) -v *.coverprofile
+	@$(RM) -v *.coverprofile
+	@$(RM) -r ./_coverage

=== debian/changelog ===
golang-github-go-ap-activitypub (0.0~git20260207.fc67d2c-1) sid; urgency=medium

  * Updating to standards version 4.7.3.
  * Merging upstream version 0.0~git20260207.fc67d2c.
  * Updating year in copyright for 2026.

 -- Daniel Baumann <daniel@debian.org>  Sun, 08 Feb 2026 08:47:05 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  golang-github-valyala-fastjson-dev,
  golang-golang-x-text-dev,
  golang-sourcehut-mariusor-go-xsd-duration-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/go-ap/activitypub
 Vcs-Browser: https://forgejo.debian.net/golang/golang-github-go-ap-activitypub
 Vcs-Git: https://forgejo.debian.net/golang/golang-github-go-ap-activitypub
